## org.eclipse.jst.jsf.core.tagmatcher
Class XPathMatchingAlgorithm

    java.lang.Object
      org.eclipse.jst.jsf.core.tagmatcher.TagMatchingAlgorithm
          org.eclipse.jst.jsf.core.tagmatcher.XPathMatchingAlgorithm

    public class XPathMatchingAlgorithm

extends TagMatchingAlgorithm

A algorithm that uses an XPath expression to evaluate a result. The algorithm assumes (although cannot verify beforehand) that the expression provided can be evaluated with a node set return type (see JAXP). If the algorithm's underlying XPath evaluator throws an exception indicating that the return type cannot be coerced to a node set, the algorithm will return an empty set (no match) unless the strictMatching flag is set to true, in which case it will re-throw the exception wrapped as an unchecked EvaluationException.

Provisional API - subject to change

Constructor Summary
`XPathMatchingAlgorithm(java.lang.String expression)`
`XPathMatchingAlgorithm(java.lang.String expression, boolean isStrictMatching)`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.core.tagmatcher.TagMatchingAlgorithm
`evaluate, initialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathMatchingAlgorithm

    public XPathMatchingAlgorithm(java.lang.String expression)

Parameters:
  `expression` -

### XPathMatchingAlgorithm

    public XPathMatchingAlgorithm(java.lang.String expression,
                                  boolean isStrictMatching)

Parameters:
  `expression` -
  `isStrictMatching` -